Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006835Arma 3Feature Requestpublic2013-04-05 22:392013-08-28 20:21
ReporterNodUnit 
Assigned ToAstaroth 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusacknowledgedResolutionopen 
PlatformPCOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Version 
56 vote(s) 100,00%
0 vote(s) 0,00%
Summary0006835: Game needs more video options
DescriptionPerformance is a foundation for a games success.
You can tweak and optimize a game all you want but if you keep piling more and more things into one option you're going to run into bottlenecks at some point.

For a game to be open to the widest variety of computers it NEEDS to have a great deal of options for performance enhancement.
As it stands Arma 3 has several but far too many rely upon one another to really benefit.

For example post processing covers; bloom, depth of field, ambient occlusion a blur filter and more.
Blur and bloom are tied together then comes DOF and finally AO.
Bloom is a great feature and compliments the HDR nicely but it can be aggrivating due to the blur.
DOF is nice but it still relies on the previous two and as such eats up more frame rates as is AO.

Terrain details are another huge hit. With deformation, grass clutter plus distance.
Grass alone is a huge hit but you are combining the amount of grass plus distance, in the end it causes the effect to be more demanding than it needs to be AND screws over the terrain deformation on higher settings.

Texture details are another big one. Special textures such as normal require a great deal of memory versus their diffuse counterparts, twice as much in fact! Having the option to disable rvmats on the lowest texture setting or it's own check box would save MANY people a great deal of frames.

Secondly if you wish to have the highest resolution of textures you must also force your computer to run Parallax Occlusion Mapping, another hog and when combined with full resolution textures, can do more harm than good.
Since POM is a very specific utility, having it optional would be better than combining it with an already demanding feature.

Lights with hotspots and falloff, a more vibrant core and authenticity yet shadows are nowhere to be found, sad since it leaves the feature half baked.
Especially when you consider that indoor combat is a huge possibility in A3 and these lights could create all variety of lighting from calming to eerie.
This could be one of those tick boxes, allowing the USER to decide wether or not their computer is capable (or forceable) to render these.

Further concerns could be addressed by adding a variably for light entities that are not tied to vehicles and flash lights, "iscastingshadow=0" or something like that.
Take for example the carrier mission from Crysis 1, with vast numbers of lights upon the carrier deck.
Despite these being actual lights, nearly none of them are actually casting a shadow thus saving performance while allowing the necessary ones to do so.

Separate Object, Foliage and Flora.
Tree and grass are always a big hit in every game, many go around this by setting the render distance to short, blending the grass to ground or separating the options. Arma 1-3 have all made the mistake of compounding this into one option which EATS frames depending on the scene.

Because of the grass clutter and distance alone, setting terrain and object detail to ultra can potentially devour frame rates.

PIP & Shadows. The difference between PIP's setting is marginal once its on, a bit of extra view distance and that is it with little loss in frame rate.
Lacking of PIP shadows also harms it just the same as lights. Again this could become an option setting that would allow those with more powerful PC's to decide how they want to view things and others to tweak it how they need.

Versatility is the name of the game, and what a player wants out visuals will vary based on the environment. Are you driving through a closed off city with very little in the way of greenery? Are you fighting in a forest? A tunnel? Is the scene day or night? What mood are you trying to set?
Having more varied options would allow both player and developer to expand on scenario's and game modes, but more importantly having more varied options would allow more people to run Arma 3.

In conclusion here a rough draft of the more versatile set.

Grass (Flora) Clutter -detail
Grass Distance -detail or slider
Terrain -detail
Terrain Relief On/Off
Shadows -detail
Dynamic Shadow On/Off
PIP On/Off
PIP Shadows On/Off
(optional) texture detail low= no rvmat
(optional) Texture detail and special textures separate, allowing users to high the highest resolution textures without using the normal maps, great for cards that do not support advanced shaders.
Object detail (people, guns, houses, props)
Foliage detail (trees and bushes)
DOF On/Off
Ambient Occlusion On/Off
Post Processing (lower setting allows bloom and higher allows blurring)

The rest I don't mention because they are mostly fine as is.
Additional InformationArma 3 NEEDS to start developing more video options, making a game run more cores benefits those with higher end PC's but still leaves out the less powerful.

More tweak options means more people can run it which means more sales.
Tagsgameplay, Options, Performance, Video, visuals
Game VersionArma 3 Alpha
Attached Files

- Relationships
related to 0001291assigneddazhbog Grass / vegetation draw distance and terrain detail settings separate 
related to 0001054assigneddazhbog Ability to force graphical settings 
related to 0006587reviewedAstaroth Post-Processing Blur Obscures View In 1st Person 
related to 0001682closedAstaroth [Feature request] Seperate post-processing settings for motion blur, bloom, ambient occlusion etc. 
related to 0000586reviewedAstaroth Terrain transforms when moving prone 

-  Notes
(0018933)
Postman2112 (reporter)
2013-04-06 04:40

I agree with you about pretty much everything. I have an AMD 8350 8 core and i would love to actually use the things potential. I hate motion blur, and i would love to change settings for it. I also would like options to go even higher in detail. I like really hi-res textures and i wish here was just more in general to work with.
(0021895)
ShotgunSheamuS (reporter)
2013-04-19 01:03

Oh how I wish BIS would just do this. I mean really how hard can it be to create more options to adjust instead of them making preset adjustments all crammed into a few options.

I know what things are stuffing up my performance, but I have no way of controlling them individually. This should be like an Advanced Video Option section. So they can keep the video settings layout as is, but add an additional advanced section where we can fine tune these things.
(0022019)
ShotgunSheamuS (reporter)
2013-04-19 14:21

Btw wouldn't hurt to categorize settings based on cpu and gpu, so if we know the problem is cpu related, we would know where to tweak. Also basic description of what each setting affects would be great.
(0022064)
Nicolii (reporter)
2013-04-19 17:58

I support this, but one thing

(optional) Texture detail and special textures separate, allowing users to high the highest resolution textures without using the normal maps, great for cards that do not support advanced shaders.

If your trying to play the game on a PS2 that would be a problem but the minimum specs for this game are a DX10 compatible card. This game is DX10 and up. Some of the things mentioned on here wouldn't be a problem. They just need to offload some things to separate CPU cores as that's where the bottleneck is.
GPU works fine and I'm surprised how efficiently they have the game running just off two cores (I believe that it's the PhysX that's offloaded to the other core) and a decent GPU. What the problem that people are seeing with the GPU under utilisation is the CPU unable to keep up with what the GPU wants to do and it's creating quite a severe bottleneck for the GPU.
(0032604)
MordeaniisChaos (reporter)
2013-06-10 14:42

I think the biggest needed change is to post processing. There shouldn't be a "post processing" option. All of the post processing features should be seperated out as makes sense, and none of them should be under the blanket term "Post processing." Especially when you want motionblur to help mask framerate issues, but don't want AO to CAUSE them (especially with how little AO does in the game, you barely see it) and don't want the overly strong bloom or the really poor "DoF" which barely does anything for the image and if anything makes things look worse.
I also think grass should be separate from objects, but not trees. Turning down grass density would help a lot, but trees I feel should be the same as objects, as they can actually be used as cover, etc.
(0032620)
bez (reporter)
2013-06-10 16:13

Good suggestions, interesting read.
upvoted
(0032629)
ShotgunSheamuS (reporter)
2013-06-10 17:20

Is it possible for a modder to hack in and make this as a mod? Because honestly with alpha coming to an end, i was sure this would be one of the things to matter seeing as it was based on performance and stability... I get an itchy feeling this may get overlooked =( i really hope it's not the case.
(0032630)
Nicolii (reporter)
2013-06-10 17:36

Just so you guys know

Changelog for the latest DEV build
____________________________________________________________________________

exe rev 06264

    FIX: APOLimeiter effect for sounds
    Adjusted names for units in radio protocol
    FIX: Thermal Imaging now works even for proxies
    Increased performance of particle effect
****Added support for new video options in engine (UI data are in progress)****
_______________________________________________________________________________

So it is happening but I'm guessing that for BI Alpha is for squashing bugs and the soon to be beta is for features, and this is technically a feature.
(0032632)
ShotgunSheamuS (reporter)
2013-06-10 18:03

Saw the change log after posting, so far no visible extras, only minor change in video settings... But hey if they working on it, as described here, then great, but strange the ticket is only reviewed and not assigned, so are they working on the video options requested here, or something else?
(0032635)
Nicolii (reporter)
2013-06-10 18:13

I guess it could have always been in their road map so regardless if someone made a ticket of this or not they still possibly could have done it.

They say they have added support but no UI data so you might be able to check out a .ini file with the new settings until they add support in the UI.
(0032639)
ShotgunSheamuS (reporter)
2013-06-10 18:31

Good point, will do that after the xbox one reveal, I'm in the mood for a laugh, after that i will check the Config files for anything, and nit pick on that. Hope the variety of configuration is detailed, and not just broken down combinations
(0033184)
Dwarden (developer)
2013-06-14 19:07

more details soon ...
(0033185)
ShotgunSheamuS (reporter)
2013-06-14 19:13

Effing awesome yeah! Dwarden you rock! Don't be shy with options now=P
(0034348)
NodUnit (reporter)
2013-06-21 13:24
edited on: 2013-06-21 13:36

I just want to extend my thanks to the team for taking this suggestion on board and acting upon it. The addition of having PP and AA options split is a wonderful thing to see.

For those of you wondering, instead of having Post Processing covering Bloom, Blur, DOF and SSAO, they are all now separate options...so yeah, tip of the hat to you guys for this.

Oh and the FPS counter in the option screen is also a very nice addition.

(0034349)
MadDogX (moderator)
2013-06-21 13:33

So can this be marked as resolved? :)
(0034352)
ShotgunSheamuS (reporter)
2013-06-21 13:34

Whaaaat, its done already??? How many of the settings did they isolate? Is parallax mapping also isolated from terrain?
(0034354)
ShotgunSheamuS (reporter)
2013-06-21 13:38

MadDog, please keep open for testing, i don't mean to be a whiney bitch, but i would like to see how many options have been isolated as adjustable on their own, there may be other combined settings, like terrain for example that covers geometry, grass view distance and parallax mapping which i would prefer to have their own individual settings. This ticket is rather important in terms of performance, and given ARMA history, one should be able to really tweak as much as possible.
(0034355)
NodUnit (reporter)
2013-06-21 13:43
edited on: 2013-06-21 13:47

Not quite, it appears as though POM is still in terrain at the high+ settings and still has the same distance, causing the warping effect, but that is for this ticket http://feedback.arma3.com/view.php?id=586 [^]

It's a kind of sorta MadDogX, on the one hand the majority of wishes were filled but there is still that one POM which can be high demand for people and linking that to terrain which already consists of grass amount+distance is a bit of a smash on some systems.

(0034359)
ShotgunSheamuS (reporter)
2013-06-21 14:03

Nah I'm not referring to the horrible look of the pom effect, i would like it enabled or disabled, or adjustable based on distance as a separate setting, like how post processing was split up and all the options isolated. I want to disable parallax mapping, but still set terrain geometry in ultra, and grass distance at high or very high. Get what I'm saying?
(0034361)
MadDogX (moderator)
2013-06-21 14:09

Ok, leaving it open. One of the devs will probably handle it. :)
(0034368)
ShotgunSheamuS (reporter)
2013-06-21 14:32

Thank you mad
(0037512)
SuicideKing (reporter)
2013-06-29 12:09

PIP low to high there's barely any difference, but the effect from disabled to low is HUGE.
(0037588)
Nicolii (reporter)
2013-06-29 16:33

@SuicideKing

That's because on disable the game doesn't have to do anything, but on low the game has to render from a new camera point as well as render your view. So really you computer has to render the game twice. And I think the difference between low to high is just the update rate, though I could be wrong.

There's pretty much nothing BI can do to improve picture in picture apart from add independent detail settings for PiP cameras.
(0037590)
NodUnit (reporter)
2013-06-29 16:49

The difference between high and low is distance at which the image is rendered, doesn't seem to effect the refresh rate or anything else.
(0043731)
ShotgunSheamuS (reporter)
2013-07-24 09:28

When the fuck do we get to disable parallax mapping? I don't imagine creating a switch for it being that hard to do. I'm really not happy having to run standard terrain just disable it, too many floaty objects in the distance..

Cmon BI, just this one thing left, then this ticket can officially be closed! Just allow us to disable POM please!
(0043740)
Dwarden (developer)
2013-07-24 11:20
edited on: 2013-07-24 11:21

atm. only 2 lowest terrain settings disable Parallax Mapping ...

i will add the PM on the list of possible entry in new Advanced Video options

and it's not the one last thing left ...
typical another example is option to enable/disable Lens Flares

and i'm sure many more i missing :)

(0043741)
ShotgunSheamuS (reporter)
2013-07-24 12:11

Thanks for the feedback dwarden!

Why lensflares though? What performance impact dies it have? I suppose best is to make all settings an option, but not all need to be ingame menu.

Thanks for the feedback though, feel more positive now!
(0050459)
NodUnit (reporter)
2013-08-28 20:21

Just had an idea. Since shader maps are the primary cause of frame loss for lesser computers (normal maps, parallax etc) Then what about an option to disable rvmats altogether? That would stop people from rendering on all things-

Normal map, specular map, reflection map, Ambient Shadow, advanced thermal map, detail maps and a few other things, that is a lot of unload.

- Issue History
Date Modified Username Field Change
2013-04-05 22:39 NodUnit New Issue
2013-04-05 22:56 NodUnit Tag Attached: Video
2013-04-05 22:56 NodUnit Tag Attached: Performance
2013-04-05 22:56 NodUnit Tag Attached: Options
2013-04-05 22:56 NodUnit Tag Attached: visuals
2013-04-05 22:56 NodUnit Tag Attached: gameplay
2013-04-06 04:40 Postman2112 Note Added: 0018933
2013-04-06 11:54 Deadfast Severity major => feature
2013-04-06 11:54 Deadfast Category Performance => Feature Request
2013-04-19 01:03 ShotgunSheamuS Note Added: 0021895
2013-04-19 10:53 CSR Kryssar Assigned To => Astaroth
2013-04-19 10:53 CSR Kryssar Status new => reviewed
2013-04-19 14:21 ShotgunSheamuS Note Added: 0022019
2013-04-19 17:58 Nicolii Note Added: 0022064
2013-04-30 14:46 MadDogX Relationship added related to 0001291
2013-06-10 14:42 MordeaniisChaos Note Added: 0032604
2013-06-10 16:13 bez Note Added: 0032620
2013-06-10 17:20 ShotgunSheamuS Note Added: 0032629
2013-06-10 17:36 Nicolii Note Added: 0032630
2013-06-10 18:03 ShotgunSheamuS Note Added: 0032632
2013-06-10 18:13 Nicolii Note Added: 0032635
2013-06-10 18:31 ShotgunSheamuS Note Added: 0032639
2013-06-14 19:03 Dwarden Relationship added related to 0001054
2013-06-14 19:07 Dwarden Note Added: 0033184
2013-06-14 19:07 Dwarden Assigned To Astaroth =>
2013-06-14 19:07 Dwarden Status reviewed => acknowledged
2013-06-14 19:07 Dwarden Assigned To => Astaroth
2013-06-14 19:07 Dwarden Status acknowledged => assigned
2013-06-14 19:10 Dwarden Status assigned => acknowledged
2013-06-14 19:10 Dwarden Relationship added related to 0006587
2013-06-14 19:10 Dwarden Relationship added related to 0001682
2013-06-14 19:13 ShotgunSheamuS Note Added: 0033185
2013-06-21 13:24 NodUnit Note Added: 0034348
2013-06-21 13:33 MadDogX Note Added: 0034349
2013-06-21 13:34 ShotgunSheamuS Note Added: 0034352
2013-06-21 13:36 NodUnit Note Edited: 0034348 View Revisions
2013-06-21 13:38 ShotgunSheamuS Note Added: 0034354
2013-06-21 13:43 NodUnit Note Added: 0034355
2013-06-21 13:44 NodUnit Note Edited: 0034355 View Revisions
2013-06-21 13:46 NodUnit Note Edited: 0034355 View Revisions
2013-06-21 13:47 NodUnit Note Edited: 0034355 View Revisions
2013-06-21 14:03 ShotgunSheamuS Note Added: 0034359
2013-06-21 14:09 MadDogX Note Added: 0034361
2013-06-21 14:32 ShotgunSheamuS Note Added: 0034368
2013-06-29 12:09 SuicideKing Note Added: 0037512
2013-06-29 16:33 Nicolii Note Added: 0037588
2013-06-29 16:49 NodUnit Note Added: 0037590
2013-07-24 09:28 ShotgunSheamuS Note Added: 0043731
2013-07-24 11:20 Dwarden Note Added: 0043740
2013-07-24 11:21 Dwarden Note Edited: 0043740 View Revisions
2013-07-24 11:32 Dwarden Relationship added related to 0000586
2013-07-24 12:11 ShotgunSheamuS Note Added: 0043741
2013-08-28 20:21 NodUnit Note Added: 0050459


Copyright © 2000 - 2014 MantisBT Team